# DataExchange
TKIGES
IGESSolid

# IGESSolid_HArray1OfVertexList Class Reference

`#include <IGESSolid_HArray1OfVertexList.hxx>`

## Public Member Functions

Standard_EXPORT | IGESSolid_HArray1OfVertexList (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESSolid_HArray1OfVertexList (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESSolid_VertexList)&V)
Standard_EXPORT void | Init (const Handle(IGESSolid_VertexList)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESSolid_VertexList)&Value)
const Handle_IGESSolid_VertexList & | Value (const Standard_Integer Index) const
Handle_IGESSolid_VertexList & | ChangeValue (const Standard_Integer Index)
const IGESSolid_Array1OfVertexList & | Array1 () const
IGESSolid_Array1OfVertexList & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESSolid_Array1OfVertexList | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_HArray1OfVertexList::IGESSolid_HArray1OfVertexList | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESSolid_HArray1OfVertexList::IGESSolid_HArray1OfVertexList | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESSolid_VertexList)& | V
| ) |

## Member Function Documentation

const IGESSolid_Array1OfVertexList& IGESSolid_HArray1OfVertexList::Array1 | ( |  | ) | const

IGESSolid_Array1OfVertexList& IGESSolid_HArray1OfVertexList::ChangeArray1 | ( |  | ) |

Handle_IGESSolid_VertexList& IGESSolid_HArray1OfVertexList::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESSolid_HArray1OfVertexList::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESSolid_HArray1OfVertexList::Init | ( | const Handle(IGESSolid_VertexList)& | V | ) |

Standard_Integer IGESSolid_HArray1OfVertexList::Length | ( |  | ) | const

Standard_Integer IGESSolid_HArray1OfVertexList::Lower | ( |  | ) | const

void IGESSolid_HArray1OfVertexList::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESSolid_VertexList)& | Value
| ) |

Standard_Integer IGESSolid_HArray1OfVertexList::Upper | ( |  | ) | const

const Handle_IGESSolid_VertexList& IGESSolid_HArray1OfVertexList::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESSolid_Array1OfVertexList IGESSolid_HArray1OfVertexList::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_HArray1OfVertexList.hxx